Package com.zfabrik.impl.svnaccess

## Enum SvnClientAdapterResource.Mode

- java.lang.Object
- - java.lang.Enum<SvnClientAdapterResource.Mode>
  - - com.zfabrik.impl.svnaccess.SvnClientAdapterResource.Mode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<SvnClientAdapterResource.Mode>`
  Enclosing class:
    SvnClientAdapterResource

      public static enum SvnClientAdapterResource.Mode
      extends java.lang.Enum<SvnClientAdapterResource.Mode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DETECT` | Auto detect at first use.
    `JAVAHL` | Use JavaHL
    `NONE` | None found.
    `SVNKIT` | Use the SVNKit Subversion Client library

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SvnClientAdapterResource.Mode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static SvnClientAdapterResource.Mode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DETECT

          public static final SvnClientAdapterResource.Mode DETECT

      Auto detect at first use. We prefer SVNKit and if that is not found, Java HL will be used

    - #### JAVAHL

          public static final SvnClientAdapterResource.Mode JAVAHL

      Use JavaHL

    - #### SVNKIT

          public static final SvnClientAdapterResource.Mode SVNKIT

      Use the SVNKit Subversion Client library

    - #### NONE

          public static final SvnClientAdapterResource.Mode NONE

      None found. Access not functional.

  - ### Method Detail

    - #### values

          public static SvnClientAdapterResource.Mode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SvnClientAdapterResource.Mode c : SvnClientAdapterResource.Mode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SvnClientAdapterResource.Mode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null